#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;

out vec3 worldNormal;
out vec2 fragmentUV;

out vec3 vertPosition;

uniform mat4 model;
uniform mat4 view_project;

void main()
{	
	fragmentUV = uv;
	worldNormal = normal;

	gl_Position = view_project * model * vec4(position, 1);
	
	vertPosition = vec3(model * vec4(position, 1));
}